Last Comment Bug 891372 - RSS feed does not get latest posts
: RSS feed does not get latest posts
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Feed Reader (show other bugs)
: 17
: x86_64 Linux
: -- normal (vote)
: Thunderbird 26.0
Assigned To: alta88
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 07:59 PDT by a.vankaam
Modified: 2013-08-27 11:08 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
patch (1.26 KB, patch)
2013-07-10 08:16 PDT, alta88
no flags Details | Diff | Review
feedCache.patch (2.07 KB, patch)
2013-08-09 06:06 PDT, alta88
mkmelin+mozilla: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description a.vankaam 2013-07-09 07:59:25 PDT
User Agent: Opera/9.80 (X11; Linux x86_64) Presto/2.12.388 Version/12.15

Steps to reproduce:

Edit, account settings, account actions, add other account, blogs & news feeds, next, next, finish.
Right click the created Blogs & News feeds and select subscribe
Enter URL: http://www.gamingonlinux.com/article_rss.php
Press ADD
close dialog



Actual results:

It will download the last 15 articles, at this moment when I write this the latest entry it shows is "Limit Theory Developer Update on Linux Port"  which was from 3 days ago.  


Expected results:

It should have gotten the 8 entries which has been posted since then but it does not.

Going with a web browser to http://www.gamingonlinux.com/article_rss.php shows them.
Using opera RSS feeds shows them.
Using Akregator RSS reader shows them.
Using the thunderbird add on bamboo shows them.

Get messages does not get anything new, restarting to make it check on restart does not get anything new

Feeds.logging.console set to debug shows:

2013-07-09 16:55:50	Feeds	DEBUG	downloadFeed: START x/# foldername:uri - 1/1 GamingOnLinux.com Latest articles:mailbox://nobody@Feeds-2/GamingOnLinux.com%20Latest%20articles
2013-07-09 16:55:50	Feeds	DEBUG	downloadFeed: CONTINUE foldername:urlArray - GamingOnLinux.com Latest articles:http://www.gamingonlinux.com/article_rss.php
2013-07-09 16:55:50	Feeds	DEBUG	downloadFeed: DOWNLOAD feed url - http://www.gamingonlinux.com/article_rss.php
2013-07-09 16:55:50	Feeds	DEBUG	downloadFeed: Finished with folder - GamingOnLinux.com Latest articles
2013-07-09 16:55:50	Feeds	DEBUG	Feed.onDownloaded: got a download - http://www.gamingonlinux.com/article_rss.php
2013-07-09 16:55:50	Feeds	DEBUG	FeedParser.parseFeed: type:url - RSS_2.0 : http://www.gamingonlinux.com/article_rss.php
2013-07-09 16:55:50	Feeds	DEBUG	FeedParser.parseAsRSS2: channel nsURI - 
2013-07-09 16:55:50	Feeds	DEBUG	Feed.invalidateItems: for url - http://www.gamingonlinux.com/article_rss.php
2013-07-09 16:55:50	Feeds	DEBUG	FeedParser.parseAsRSS2: items to parse - 15
2013-07-09 16:55:51	Feeds	DEBUG	Feed.removeInvalidItems: for url - http://www.gamingonlinux.com/article_rss.php
2013-07-09 16:55:51	Feeds	DEBUG	downloaded: Update errorCode:feedName:folder - 0 : GamingOnLinux.com Latest articles : /media/realcrypt1/Thunderbird/default/Mail/Feeds-2-1/GamingOnLinux.com Latest articles
Comment 1 alta88 2013-07-09 09:54:33 PDT
this works for me (linux, Tb25).  as of this moment, all 15 current articles were downloaded, starting from Project 64 to Infested Planet (newest), which is what the file contains.
Comment 2 alta88 2013-07-09 13:08:11 PDT
but, in fact, updates do not work.  the stale cached file is being used..
Comment 3 alta88 2013-07-10 08:16:03 PDT
Created attachment 773308 [details] [diff] [review]
patch
Comment 4 alta88 2013-07-10 08:18:34 PDT
Comment on attachment 773308 [details] [diff] [review]
patch

[Approval Request Comment]

this is borderline data lossy; risk is low.
Comment 5 a.vankaam 2013-07-10 10:58:47 PDT
thank you for solving this as fast as you did.  Is there anyway to incorporate this patch in TB17 ? don't see a feed.js anything so assume its compiled in somewhere
Comment 6 alta88 2013-07-10 11:39:09 PDT
(In reply to a.vankaam from comment #5)
> thank you for solving this as fast as you did.  Is there anyway to
> incorporate this patch in TB17 ? don't see a feed.js anything so assume its
> compiled in somewhere

it's not up to me, but it could go into a .0x of 17, though there may never be one.  also, it's hard to say how widespread it is but i suspect it may have to do with how that server sets headers.  for one, they don't respond with 304 on a failed If-Modified-Since.

anyway, you could unzip omni.ja, find Feed.js, and insert the 2 lines, and rearchive (or find an in place archive editor).  it's not compiled.
Comment 7 alta88 2013-07-24 10:47:35 PDT
ping?
Comment 8 alta88 2013-08-09 06:06:08 PDT
Created attachment 788110 [details] [diff] [review]
feedCache.patch


add check to avoid error needing restart.
Comment 9 Mark Banner (:standard8) 2013-08-15 14:42:39 PDT
Comment on attachment 788110 [details] [diff] [review]
feedCache.patch

I've just not had time to look at this, maybe Magnus can.
Comment 10 Magnus Melin 2013-08-22 04:06:25 PDT
Comment on attachment 788110 [details] [diff] [review]
feedCache.patch

Review of attachment 788110 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me! r=kmelin
Comment 11 Mark Banner (:standard8) 2013-08-27 10:22:34 PDT
https://hg.mozilla.org/comm-central/rev/d3212436fe26
Comment 12 Mark Banner (:standard8) 2013-08-27 10:28:36 PDT
Comment on attachment 788110 [details] [diff] [review]
feedCache.patch

I'd certainly like to get this out for some testing. a=Standard8

Note You need to log in before you can comment on or make changes to this bug.